#!/bin/bash
date
sleep 1
echo -e "\033[31m设置柬埔寨时区\033[0m"
rm -f /etc/localtime
cp -f /usr/share/zoneinfo/Asia/Cambodia /etc/localtime
###修改系统默认时区####
sed -i "s#Asia/Shanghai#Asia/Cambodia#g"   /etc/sysconfig/clock

echo -e "\033[31m添加时间同步计划\033[0m"
yum install -y ntpdate
sed -i 's/^server/#&/' /etc/ntp.conf
cd /root/
wget http://8.210.81.239/linux/sh/Jianpuzhai_shiqu.txt
cat   Jianpuzhai_shiqu.txt     >> /etc/ntp.conf
rm -f /root/Jianpuzhai_shiqu.txt

if ! crontab -l |grep ntpdate &>/dev/null ; then
     (echo "* 1 * * * ntpdate kh.pool.ntp.org >/dev/null 2>&1";crontab -l) |crontab
fi

#service ntpd stop
ntpdate kh.pool.ntp.org
service ntpd restart
date

### hwclock 设置bois时间#####
## -w 同步系统时间到硬件时间###
## -s 同步硬件时间到系统时间### 
hwclock -w 
hwclock 


echo -e  "\033[31m更改时区记得吧tomcat/bin/catalina.sh的时区也改了\033[0m"
echo -e  "\033[31m vim /opt/tomcat1/bin/catalina.sh  \033[0m"
echo -e  "\033[31m   搜索 JAVA_OPTS= 变量 \033[0m"
echo -e  "\033[31m 这是柬埔寨时区:  export JAVA_OPTS=\"$JAVA_OPTS -Duser.timezone=Asia/Cambodia\"  \033[0m"
echo -e  "\033[31m 这是越南时区:  export JAVA_OPTS=\"$JAVA_OPTS -Duser.timezone=Asia/Ho_Chi_Minh\"  \033[0m"
echo -e  "\033[31m 这是中国时区:  export JAVA_OPTS=\"$JAVA_OPTS -Duser.timezone=Asia/shanghai\"  \033[0m"
echo
echo
echo
echo -e  "\033[31m   修改Mysql 时区  \033[0m"
echo -e  "\033[31m  mysql>  show variables like '%time_zone%';  \033[0m"
echo -e  "\033[31m  +------------------+--------+   \033[0m"
echo -e  "\033[31m  | Variable_name    | Value  |   \033[0m"
echo -e  "\033[31m  +------------------+--------+   \033[0m"
echo -e  "\033[31m  | system_time_zone | CST    |   \033[0m"
echo -e  "\033[31m  | time_zone        | SYSTEM |   \033[0m"
echo -e  "\033[31m  +------------------+--------+   \033[0m"
echo -e  "\033[31m  2 rows in set (0.00 sec)      \033[0m"
echo -e  "\033[31m  # 设置全局时区 mysql> set global time_zone = '+7:00';  \033[0m"
echo -e  "\033[31m  Query OK, 0 rows affected (0.00 sec)   \033[0m"
echo -e  "\033[31m  # 设置时区为东八区 mysql> set time_zone = '+7:00';   \033[0m"
echo -e  "\033[31m  Query OK, 0 rows affected (0.00 sec)   \033[0m"
echo -e  "\033[31m  # 刷新权限使设置立即生效 mysql> flush privileges;   \033[0m"
echo -e  "\033[31m  Query OK, 0 rows affected (0.00 sec)  \033[0m"
echo -e  "\033[31m  mysql> show variables like '%time_zone%';  \033[0m"
echo -e  "\033[31m  mysql> select now();  查看当前时间  \033[0m"
echo -e  "\033[31m  参考文档:    https://blog.csdn.net/qq_28483283/article/details/84825834  \033[0m"
echo
echo
echo
echo -e  "\033[31m   修改Mysql数据库时区为越南时区   \033[0m"
echo -e  "\033[31m   # vim /etc/my.cnf  \033[0m"
echo -e  "\033[31m   [mysqld]   \033[0m"
echo -e  "\033[31m   default-time-zone='+07:00'   \033[0m"
echo -e  "\033[31m   参考文档:  https://www.jianshu.com/p/f190650a6c7f   \033[0m"


